//  Persistance of Vision Raytracer V3.0
//  World definition file.
//
//  Contains 5 lights, 6 textures and 18 primitives.
//
//  This file was generated for POV-Ray V3.0 by
//  MORAY.EXE V2.5b.wat(c) 1991-1995 Lutz + Kretzschmar
//

//  Date : 02/23/1998    (23.02.1998)
//

//
//  This is the standard include file for POV-Ray. It is included with
//  every scene that Moray exports for POV-Ray.
//

// Copyright (C) 1998 by Christian Ordig <chr.ordig@gmx.net>



global_settings {
  adc_bailout 0.003922
  ambient_light <1.0,1.0,1.0>
  assumed_gamma 1.8
  hf_gray_16 off
  irid_wavelength <0.25,0.18,0.14>
  max_intersections 64
  max_trace_level 10
  number_of_waves 10
  radiosity {
    brightness       3.3
    count            100
    distance_maximum 0.0
    error_bound      0.4
    gray_threshold   0.5
    low_error_factor 0.8
    minimum_reuse    0.015
    nearest_count    6
    recursion_limit  1
  }
}

background { color <0.000,0.000,0.052> }
sky_sphere {pigment {granite color_map {[.8 rgb <0,0,0.052>] [1 rgb 1]} scale 1e-3}}

#declare camera_location=<0.000, -5.650, 0.000>
#declare camera_lookat=<0.000, 0.150, 0.000>
#declare camera_sky=z
#declare camera_direction=<0,0,1.8883>
#declare camera_angle=48
#declare effect_location=<1.000, 2.950, 0.900>
//#declare effect_type="Sun2"
//#declare effect_type="Sun"
#declare effect_type="Headlight"
#declare effect_always_on_top=false
#include "lens.inc"

camera {  //  Camera StdCam
  location  <0.000, -5.650, 0.000>
  direction <0.0,     0.0,  1.8883>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.33333, 0.0,  0.0>
  look_at   <0.000, 0.150, 0.000>
}

//    Other cameras are commented out.
/*
camera {  //  Camera SpotCam001
  location  <-5.250, -11.350, 6.400> // Attached to SpotL001
  direction <0.0,     0.0,  1.8665>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.33333, 0.0,  0.0>
  look_at   <-5.014, -10.512, 5.908> // Following SpotL001
}

*/

/*
camera {  //  Camera SpotCam002
  location  <-5.350, -3.150, 2.600> // Attached to SpotL002
  direction <0.0,     0.0,  2.6724>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.33333, 0.0,  0.0>
  look_at   <-4.497, -2.864, 2.164> // Following SpotL002
}

*/

// *******  L I G H T S *******
light_source { // AreaL001
  <0.100, -1.700, 0.000>
  color  rgb<1.000, 1.000, 1.000>
  area_light <2.900, 0.000, 0.000>, <0.000, 0.000, -0.500>, 12, 4
  adaptive 1
  jitter
  shadowless
}


light_source {   // Spotlight SpotL002
  <-5.350, -3.150, 2.600>
  color  rgb <1.000, 1.000, 1.000>
  spotlight
    point_at  <-4.497, -2.864, 2.164>
    falloff   10.6  // outer radius (in deg)
      radius    7.2  // inner radius
}

light_source {   // Spotlight SpotL001
  <-5.250, -11.350, 6.400>
  color  rgb <1.000, 1.000, 1.000>
  spotlight
    point_at  <-5.014, -10.512, 5.908>
    falloff   15.0  // outer radius (in deg)
      radius    7.5  // inner radius
}

light_source {   // Sonne
  <1.000, 2.950, 0.900>
  color rgb <1.000, 1.000, 1.000>
}

light_source {   // Light1
  <-2.150, -4.150, 4.000>
  color rgb <0.502, 0.502, 0.502>
}


// ********  TEXTURES  *******
//

#include "celeb.inc"



// ********  REFERENCED OBJECTS  *******



// ********  OBJECTS  *******





#include "celeb_3d.inc"

#declare ttf_00000_Ref = object {
  ttf_00000
  translate  <0.218271, 0.429237, 0.5>
  hollow
}
#declare ttf_00001_Ref = object {
  ttf_00001
  translate  <0.734563, 0.394954, 0.5>
  hollow
}
#declare ttf_00002_Ref = object {
  ttf_00002
  translate  <1.150649, 0.33769, 0.5>
  hollow
}
#declare ttf_00003_Ref = object {
  ttf_00003
  translate  <1.688664, 0.394954, 0.5>
  hollow
}
#declare ttf_00004_Ref = object {
  ttf_00004
  translate  <2.22684, 0.448181, 0.5>
  hollow
}
#declare ttf_00005_Ref = object {
  ttf_00005
  translate  <2.746249, 0.351952, 0.5>
  hollow
}
#declare ttf_00006_Ref = object {
  ttf_00006
  translate  <3.234604, 0.303835, 0.5>
  hollow
}
#declare ttf_00007_Ref = object {
  ttf_00007
  translate  <3.74656, 0.42832, 0.5>
  hollow
}
#declare ttf_00008_Ref = object {
  ttf_00008
  translate  <4.073298, 0.357533, 0.5>
  hollow
}
#declare ttf_00009_Ref = object {
  ttf_00009
  translate  <4.516465, 0.37279, 0.5>
  hollow
}
#declare ttf_00010_Ref = object {
  ttf_00010
  translate  <5.128429, 0.392496, 0.5>
  hollow
}
union { // celeb_3d
  object { ttf_00000_Ref }
  object { ttf_00001_Ref }
  object { ttf_00002_Ref }
  object { ttf_00003_Ref }
  object { ttf_00004_Ref }
  object { ttf_00005_Ref }
  object { ttf_00006_Ref }
  object { ttf_00007_Ref }
  object { ttf_00008_Ref }
  object { ttf_00009_Ref }
  object { ttf_00010_Ref }
  texture {
    Gold_Metal1
  }
  scale 0.5
  rotate 90.0*x
//  translate  <-1.25, -1.0, -0.2>
  translate  <-1.3, -1.0, -0.2>
  hollow
}


plane { // Plane001
  z,0
  texture {
    Blue_Sky1
  }
  rotate -90.0*x
  translate  -15.55*y
  hollow
}




disc { // Disc001
  <0,0,0>, <0,0,1>, 1.0
  texture {
    EarthMap
  }
  rotate -90.0*x
  hollow
}


// Explosion
sphere { <0,0,0> , 1 
    pigment { color rgbt <1, 1, 1, 1> }
    halo {
      // emitting
      glowing
      spherical_mapping
      linear
      turbulence 1.5
/*
      color_map {
        [ 0 color rgbt <1, 0, 0,  1> ]
        [ 0.5 color rgbt <1, 1, 0, -1> ]
	[ 1 color rgbt <1, 0, 0,  1> ]
      }
*/
      color_map {
        [ 0 color rgbt <0, 0, 1,  1> ]
        [ 0.5 color rgbt <1, 1, 1, -1> ]
	[ 1 color rgbt <0, 0, 1,  1> ]
      }
      frequency 2
      samples 10
      scale 0.5
    }
    hollow
    scale 2
  }



